<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/container"
    android:layout_width="match_parent"
    android:layout_height="637dp"
    android:background="@drawable/shape_white_top_radius16">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="38dp"
        android:layout_marginTop="35dp"
        android:scaleType="center"
        android:src="@mipmap/app_icon_dialog_authoize_password_close"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="37dp"
        android:text="请输入授权密码"
        android:textColor="@color/color_141C30"
        android:textSize="36sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/v_input"
        android:layout_width="0dp"
        android:layout_height="100dp"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:layout_marginTop="160dp"
        android:background="@drawable/shape_border_d1d1dc_solid_white_radius16"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_authorize"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="27dp"
        android:layout_marginEnd="38dp"
        android:src="@mipmap/app_icon_dialog_authoize_password"
        app:layout_constraintLeft_toLeftOf="@id/v_input"
        app:layout_constraintTop_toTopOf="@id/v_input"
        app:layout_constraintBottom_toBottomOf="@id/v_input" />

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/et_password"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@android:color/white"
        android:singleLine="true"
        android:inputType="numberPassword"
        android:layout_marginEnd="19dp"
        android:layout_marginStart="19dp"
        android:gravity="center_vertical|left"
        android:textSize="32sp"
        android:textColor="@color/color_333333"
        android:textColorHint="@color/color_CCCCCC"
        android:hint="请输入默认授权密码"
        android:maxLength="6"
        app:layout_constraintLeft_toRightOf="@+id/iv_authorize"
        app:layout_constraintRight_toRightOf="@id/v_input"
        app:layout_constraintTop_toTopOf="@id/v_input"
        app:layout_constraintBottom_toBottomOf="@id/v_input" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_error"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="36dp"
        android:layout_marginTop="16dp"
        android:text="密码错误 请重新输入"
        android:textColor="@color/color_FF4E33"
        android:textSize="22sp"
        android:visibility="gone"
        tools:visibility="visible"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_input" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_confirm"
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:textSize="32sp"
        android:gravity="center"
        android:textColor="@color/white"
        android:layout_marginBottom="92dp"
        android:background="@drawable/shape_111235_radius8"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:text="@string/app_confirm"/>


</androidx.constraintlayout.widget.ConstraintLayout>